> For the complete documentation index, see [llms.txt](https://40factory.gitbook.io/wilson/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://40factory.gitbook.io/wilson/3.12/rest-api/knowledge-base/get-tags.md).

# Get tags

Get tags in Knowledge base.

## Request <a href="#request" id="request"></a>

### Url

```
GET 
https://wilson.40mat.com/apif/v2/company/<company_id>/knowledge-base/tags
```

### Headers

<pre><code><strong>AUTH
</strong>Bearer "eyJ0eXAiOiJKV1QiLCJub25jZSI6IndUZXphSTNjdTNVYj..."
</code></pre>

### Parameters

* `offset` (number) Indicate offset index to start query on list. Default = 0
* `limit` (number): Indicate max number of results to return. Default = 20
* `search` (string): Search with the substring indicated

### Body

```
No body required for this endpoint.
```

***

## Response&#x20;

```json
[
    {
        "create_at": "2025-03-04T08:26:21.109000",
        "id": "67c6b92dda0...",
        "name": "tag-1",
        "update_at": "2025-03-04T08:26:21.109000"
    },
    {
        "create_at": "2025-03-04T08:26:33.985000",
        "id": "67c6b444da3...",
        "name": "tag-2",
        "update_at": "2025-03-04T08:26:33.985000"
    }
]
```

The response is in JSON format contain array of object with following properties:

* `id` (string): Tag id
* `name` (string): Tag name/label
* `create_at` (string datetime): Date of creation
* `update_at` (string datetime): Date of last update

***

## Code example

{% tabs %}
{% tab title="Python" %}

```python
import requests
import json

url = "https://wilson.40mat.com/apif/v2/company/<company_id>/knowledge-base/tags"

headers = {
  'Authorization': '••••••'
}

response = requests.request("GET", url, headers=headers)

print(response.text)
```

{% endtab %}

{% tab title="cURL" %}

<pre class="language-powershell"><code class="lang-powershell">curl --location 'https://wilson.40mat.com/apif/v2/company/&#x3C;company_id>/knowledge-base/tags' \
<strong>--header 'Authorization: ••••••' 
</strong></code></pre>

{% endtab %}
{% endtabs %}
